GET /provider_configurations

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/provider_configurations

List Phone Providers

Returns the telephone providers configured on the account (Trackdrive, Twilio, or Plivo), used as the underlying carrier for numbers and number pools.

Params

Param name Description
serializer
Optional Blank value allowed

This endpoint supports multiple response formats. Pass serializer=name to retrieve data in an alternate format.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    provider_configurationProvider Configuration
    provider_configuration_gridProvider Configuration Grid
page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • name
  • provider_auto_recharge
  • provider_user_name
  • provider_app
  • is_default
  • provider_type
  • numbers_count
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

order
Optional

Sort results by this field.

  • Must be one of: id, type, name, created_at, updated_at, deleted_at, max_requests_per_interval, max_requests_per_caller, max_requests_per_number, max_requests_per_provider, requests_interval_for_caller, requests_interval_for_number, requests_interval_for_provider, max_requests_per_second, block_rate_limited_caller, is_default, max_requests_per_npa_nxx, requests_interval_for_npa_nxx, numbers_count, last_call_at, calls_count, recent_calls_count, disconnected_at, connected_status, connected_at.